Subject: [trill] draft-ietf-trill-tree-selection - WG LC (2nd call) - 8/4 to 8/18

From: "Susan Hares" <[email-masked]>
Date: Tue, 4 Aug 2015 09:01:29 -0400

Trill WG: 

The WG LC for
<http://datatracker.ietf.org/doc/draft-ietf-trill-tree-selection/>
draft-ietf-trill-tree-selection-01.txt did not receive any comments.  This
is a second call for support for draft-ietf-trill-tree-selection draft
having reached WG consensus.  

Please in this call indicate whether you think this draft is ready for
publication and represents the WG's consensus. 

Sue Hares

---

From: Mingui Zhang <[email-masked]>
Date: Wed, 5 Aug 2015 12:01:57 +0000

The reduction of pruning information is meaningful. This power is enabled by using the Tree-VLAN/Tree-FGL APPsub-TLVs as defined in the document.

The draft is well organized. I thinks it is ready for publication.

Thanks,
Mingui

From: trill [mailto:[email-masked]] On Behalf Of Susan Hares
Sent: Tuesday, August 04, 2015 9:01 PM
To: [email-masked]
Cc: 'Donald Eastlake'; 'Alia Atlas'; 'Jon Hudson'
Subject: [trill] draft-ietf-trill-tree-selection - WG LC (2nd call) - 8/4 to 8/18

Trill WG:

The WG LC for draft-ietf-trill-tree-selection-01<http://datatracker.ietf.org/doc/draft-ietf-trill-tree-selection/>.txt did not receive any comments.  This is a second call for support for draft-ietf-trill-tree-selection draft having reached WG consensus.

Please in this call indicate whether you think this draft is ready for publication and represents the WG's consensus.

Sue Hares

---

From: gayle noble <[email-masked]>
Date: Wed, 05 Aug 2015 09:51:13 -0700

I support this draft advancing.
I do have the following suggestions

acronyms used but not defined - I'd like to see them defined in the document
APPsub-TLV - Application sub-TLV
E-L1FS           - Extended Level 1 Scope
FS-LSP         - Flooding Scoped Label Switched Paths
RPF               - Reverse Path Forward
Sub-TLV         - Link-type sub-Type-Length-Values

corrections:
1.   page 4 - first paragraph - forth sentence
["multi-destiantion" should be spelt "multi-destination"]
(as written)
Every RBridge can specify the trees it will use for multi-destiantion 
TRILL data packets it originated in the Trees Used Identifiers 
(TREE-USE-IDs) sub-TLV and the VLANs or fine grained labels (FGLs 
[RFC7172]) it is interested in are specified in Interested VLANs 
and/or Interested Labels sub-TLVs [RFC7176].
(should be)
Every RBridge can specify the trees it will use for multi-destination 
TRILL data packets it originated in the Trees Used Identifiers 
(TREE-USE-IDs) sub-TLV and the VLANs or fine grained labels (FGLs 
[RFC7172]) it is interested in are specified in Interested VLANs 
and/or Interested Labels sub-TLVs [RFC7176].

2.   page 4 second paragraph first sentence
[Comma missing after "provided"]
(as written)
Defaults are provided but it is implementation dependent how many 
trees to calculate, where the tree roots are located, and which 
tree(s) are to be used by an ingress RBridge.
(I think it should be)
Defaults are provided, but it is implementation dependent how many 
trees to calculate, where the tree roots are located, and which 
tree(s) are to be used by an ingress RBridge.

3.   page 5 fourth paragraph first sentence
["to an index to a list of ports" reads weird. Probably should be "to 
an index of a list of ports"
(as written)
A multicast forwarding table at an RBridge is normally used to map 
the key of (distribution tree nickname + VLAN) to an index to a list 
of ports for multicast packet replication.
(probably should be)
A multicast forwarding table at an RBridge is normally used to map 
the key of (distribution tree nickname + VLAN) to an index of a list 
of ports for multicast packet replication.

4.   page 8 section 3.1 second paragraph - second sentence
["as example" should be "as an example"]
(as written)
Take Figure 1 as example, two trees rooted at RB1 and RB2 respectively.
(should be)
Take Figure 1 as an example, two trees rooted at RB1 and RB2 respectively.

5.   page 12 section 3.3  first paragraph - first sentence
[I am totally confused by use of the word "usual" in "defined in 
[RFC7176] as usual in its E-L1FS FS-LSP". Should "usual" be "used"??]
(as written)
The highest priority tree root RBridge MUST include all the necessary 
tree related sub-TLVs defined in [RFC7176] as usual in its E-L1FS 
FS-LSP and MAY include the Tree and VLANs Sub-TLV (TREE-VLANs) and/or 
Tree and FGLs Sub-TLV (TREE-FGLs) in its E-L1FS FS-LSP [rfc7180bis].
(probably should be??)
The highest priority tree root RBridge MUST include all the necessary 
tree related sub-TLVs defined in [RFC7176] as used in its E-L1FS 
FS-LSP and MAY include the Tree and VLANs Sub-TLV (TREE-VLANs) and/or 
Tree and FGLs Sub-TLV (TREE-FGLs) in its E-L1FS FS-LSP [rfc7180bis].

6.   page 12 section 3.3 second paragraph - second sentence
["choose" should be "chooses"]
(as written)
If there were multiple tree nicknames announced in TREE-VLANs Sub-TLV 
for a VLAN x, ingress RBridge choose one of them if it supports this feature.
(should be)
If there were multiple tree nicknames announced in TREE-VLANs Sub-TLV 
for a VLAN x, ingress RBridge chooses one of them if it supports this feature.

7.   page 16 #6 IANA considerations - first paragraph - first sentence
["assigne" should be "assign" :)]
(as written)
IANA is requested to assigne five new TRILL APPsub-TLV type codes 
from the range less than 255 as specified in Section 3 and update the 
TRILL Parameters registry as shown below.
(should be)
IANA is requested to assign five new TRILL APPsub-TLV type codes from 
the range less than 255 as specified in Section 3 and update the 
TRILL Parameters registry as shown below.

suggestions:
1.   page 4 section: 1.1. Background Description - first paragraph 
sixth sentence
[two things: (one) The sentence is really long and I think it could 
be broken into two sentences. (two) "used for reverse path forwarding 
check" reads really weird - should be either "used for the reverse 
path forward check" or "used for checking reverse path forwarding"]
(as written)
Trees Used Identifiers sub-TLVs are used to build the RPF Check table 
that is used for reverse path forwarding check; Interested VLANs and 
Interested Labels sub-TLVs are used for distribution tree pruning and 
the multi-destination forwarding table with pruning info is built 
based on that.

(I'd like it better)
Trees Used Identifiers sub-TLVs are used to build the RPF Check table 
that is used for checking reverse path forwarding. Interested VLANs 
and Interested Labels sub-TLVs are used for distribution tree pruning 
and the multi-destination forwarding table with pruning info is built 
based on that.

gayle

---

From: Liyizhou <[email-masked]>
Date: Thu, 6 Aug 2015 01:10:59 +0000

Thanks, Gayle. I will update  the text as per your suggestions. Thanks for your careful review.

Yizhou

From: trill [mailto:[email-masked]] On Behalf Of gayle noble
Sent: Thursday, August 06, 2015 12:51 AM
To: [email-masked]
Subject: Re: [trill] draft-ietf-trill-tree-selection - WG LC (2nd call) - 8/4 to 8/18

corrections:
1.   page 4 - first paragraph - forth sentence
["multi-destiantion" should be spelt "multi-destination"]
(as written)
Every RBridge can specify the trees it will use for multi-destiantion TRILL data packets it originated in the Trees Used Identifiers (TREE-USE-IDs) sub-TLV and the VLANs or fine grained labels (FGLs [RFC7172]) it is interested in are specified in Interested VLANs and/or Interested Labels sub-TLVs [RFC7176].
(should be)
Every RBridge can specify the trees it will use for multi-destination TRILL data packets it originated in the Trees Used Identifiers (TREE-USE-IDs) sub-TLV and the VLANs or fine grained labels (FGLs [RFC7172]) it is interested in are specified in Interested VLANs and/or Interested Labels sub-TLVs [RFC7176].

2.   page 4 second paragraph first sentence
[Comma missing after "provided"]
(as written)
Defaults are provided but it is implementation dependent how many trees to calculate, where the tree roots are located, and which tree(s) are to be used by an ingress RBridge.
(I think it should be)
Defaults are provided, but it is implementation dependent how many trees to calculate, where the tree roots are located, and which tree(s) are to be used by an ingress RBridge.

3.   page 5 fourth paragraph first sentence
["to an index to a list of ports" reads weird. Probably should be "to an index of a list of ports"
(as written)
A multicast forwarding table at an RBridge is normally used to map the key of (distribution tree nickname + VLAN) to an index to a list of ports for multicast packet replication.
(probably should be)
A multicast forwarding table at an RBridge is normally used to map the key of (distribution tree nickname + VLAN) to an index of a list of ports for multicast packet replication.

5.   page 12 section 3.3  first paragraph - first sentence
[I am totally confused by use of the word "usual" in "defined in [RFC7176] as usual in its E-L1FS FS-LSP". Should "usual" be "used"??]
(as written)
The highest priority tree root RBridge MUST include all the necessary tree related sub-TLVs defined in [RFC7176] as usual in its E-L1FS FS-LSP and MAY include the Tree and VLANs Sub-TLV (TREE-VLANs) and/or Tree and FGLs Sub-TLV (TREE-FGLs) in its E-L1FS FS-LSP [rfc7180bis].
(probably should be??)
The highest priority tree root RBridge MUST include all the necessary tree related sub-TLVs defined in [RFC7176] as used in its E-L1FS FS-LSP and MAY include the Tree and VLANs Sub-TLV (TREE-VLANs) and/or Tree and FGLs Sub-TLV (TREE-FGLs) in its E-L1FS FS-LSP [rfc7180bis].

6.   page 12 section 3.3 second paragraph - second sentence
["choose" should be "chooses"]
(as written)
If there were multiple tree nicknames announced in TREE-VLANs Sub-TLV for a VLAN x, ingress RBridge choose one of them if it supports this feature.
(should be)
If there were multiple tree nicknames announced in TREE-VLANs Sub-TLV for a VLAN x, ingress RBridge chooses one of them if it supports this feature.

7.   page 16 #6 IANA considerations - first paragraph - first sentence
["assigne" should be "assign" :)]
(as written)
IANA is requested to assigne five new TRILL APPsub-TLV type codes from the range less than 255 as specified in Section 3 and update the TRILL Parameters registry as shown below.
(should be)
IANA is requested to assign five new TRILL APPsub-TLV type codes from the range less than 255 as specified in Section 3 and update the TRILL Parameters registry as shown below.

suggestions:
1.   page 4 section: 1.1. Background Description - first paragraph sixth sentence
[two things: (one) The sentence is really long and I think it could be broken into two sentences. (two) "used for reverse path forwarding check" reads really weird - should be either "used for the reverse path forward check" or "used for checking reverse path forwarding"]
(as written)
Trees Used Identifiers sub-TLVs are used to build the RPF Check table that is used for reverse path forwarding check; Interested VLANs and Interested Labels sub-TLVs are used for distribution tree pruning and the multi-destination forwarding table with pruning info is built based on that.

(I'd like it better)
Trees Used Identifiers sub-TLVs are used to build the RPF Check table that is used for checking reverse path forwarding. Interested VLANs and Interested Labels sub-TLVs are used for distribution tree pruning and the multi-destination forwarding table with pruning info is built based on that.

gayle